<?php
	require_once("../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion

require_once("../includes/funciones_generales.php");

if(!comprobar_sesion()){
	echo 'session';
	exit;
}

require_once("../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));

if(isset($_POST['caso'])){
	$codigoest_grup=$_POST['cdx'];
	$id_est=$_POST['idest'];
	switch($_POST['caso']){
		case 'cancel':
			$sql="CALL SPTR_DELETE_ACA_ESTUDIANTESXGRUPOS('$id_est')";
//			$sql="DELETE FROM aca_estudiantesxgrupos WHERE cod_estudiantes_grupos='$codigoest_grup'";
		break;
		
		case 'desac':
			$sql="UPDATE aca_estudiantes SET estado_est='0' WHERE cod_estudiante='$id_est'";
		break;
		
		case 'activa':
			$sql="UPDATE aca_estudiantes SET estado_est='1' WHERE cod_estudiante='$id_est'";
		break;
		
		case 'edit':
			$codigo=$_POST[id_cod_matricula_est]; // cod del registro de matricula
			$grupo=$_POST[txtgrupo];
			$jornadas=$_POST[txtjornadas];
			$sedes=$_POST[txtsedes];
			$sql="call SPTR_UPDATE_ACA_ESTUDIANTESXGRUPOS('$codigo', '$grupo')";
//			$sql="update aca_estudiantesxgrupos SET cod_grupo='$grupo' WHERE cod_estudiantes_grupos='$codigo'";
			//SE BORRA LO ANTERIOR Y SE DEJA LO NUEVO
			
		break;
		case 'new_mat':
			$id_estu=$_POST['idestu'];
			$id_grupo=$_POST['txtgrupo'];
			$sql="CALL SP_NEW_ACA_ESTUDIANTESXGRUPOS('$id_grupo', '$id_estu')";		
//			INSERT into aca_estudiantesxgrupos (cod_grupo, cod_estudiante) VALUES ('$id_grupo', '$id_estu')";
		break;
		case 'relacion':
			$id_estudiante=$_POST['cod_estudiante'];
			$cod_mat_ant=$_POST['txt_mat_ant'];// trae el registro cod_asigxgrup que hace referencia la nota del estudiante en la materia
			$cod_mat_new=$_POST['txt_mat_new'];// trae el codigo de la nueva materia en el grupo seleccionado
			$new_grupo=$_POST['cod_new_gr'];
			
			$con=0;
			$ar_sqls=array();
			if(trim($_POST['cod_mat'])==''){
				$ar_sqls[0]="INSERT into aca_estudiantesxgrupos (cod_grupo, cod_estudiante) VALUES ('$new_grupo', '$id_estudiante')";	
			}else{
				$ar_sqls[0]="UPDATE aca_estudiantesxgrupos SET cod_grupo='$new_grupo' WHERE cod_estudiantes_grupos='".$_POST['cod_mat']."'";
				//SP_CAMBIO_GRUPO`(IN CODGRUANT INT, IN CODGRUNUE INT, IN CODESTUDIANTE INT,IN CADANTIGUA VARCHAR(254),IN CADNUEVA VARCHAR(254))	
			}
			
			for($i=0;$i<count($cod_mat_ant);$i++){
				$id_mat_ant=$cod_mat_ant[$i];
				if($cod_mat_new[$i]!='0x'){
					$id_mat_new=$cod_mat_new[$i];
					$ar_sqls[$i+1]="UPDATE aca_calxasixest SET cod_asigxgrupo='$id_mat_new' where cod_asigxgrupo='$id_mat_ant' and cod_estudiante='$id_estudiante' ";				
				}else{
					$ar_sqls[$i+1]="DELETE FROM  aca_calxasixest WHERE cod_asigxgrupo='$id_mat_ant' and cod_estudiante='$id_estudiante' ";
				}
			}
			$nerror=0;
			$ul_reg=$_POST['cod_mat'];
			for($x=0;$x<count($ar_sqls);$x++){
				$academia->instruccion($ar_sqls[$x]);
				if($x==0 && substr_count($ar_sqls[$x],'INSERT')>0)
					$ul_reg=$academia->ultima_fila();
					
				if($academia->extraer_error()>0)
					$nerror++;
					
			}
			if($nerror>0){
				echo "relacion_err|".$nerror;
			}else{
				echo $nerror.'|'.$ul_reg;
			}			
		break;
		
		
		
	}
	//echo $sql;
	if(!empty($sql)){
		$academia->instruccion($sql);
		if($_POST['caso']=='new_mat'){
			$r="|".$academia->ultima_fila();
		}elseif($_POST['caso']=='edit'){
			$r="|".$codigo;
		}

		
		echo $academia->extraer_error().$r;
		
	}	
}
$academia->cerrar();
?>